Skip to main content
GET
/
pms
/
wallets
/
{wallet_id}
/
statement
Wallet Statement
curl --request GET \
  --url https://api.payvessel.com/pms/wallets/{wallet_id}/statement \
  --header 'api-key: <api-key>'
{
  "status": "<string>",
  "data": [
    {
      "id": "<string>",
      "amount": "<string>",
      "type": "<string>"
    }
  ]
}
Generate a transaction history for a specific wallet over a given period.

Quick test (cURL)

Production

curl -X GET "https://api.payvessel.com/pms/wallets/wallet_123/statement?from=2024-01-01&to=2024-01-31" \
  -H "api-key: YOUR_API_KEY"

Sandbox

curl -X GET "https://sandbox.payvessel.com/pms/wallets/wallet_123/statement?from=2024-01-01&to=2024-01-31" \
  -H "api-key: YOUR_SANDBOX_API_KEY"

Endpoint

GET /pms/wallets/{wallet_id}/statement

Path Parameters

wallet_id
string
required
Unique ID of the wallet.

Query Parameters

from
string
Start date in ISO 8601 format (e.g. 2024-01-01).
to
string
End date in ISO 8601 format (e.g. 2024-01-31).

Headers

NameTypeRequiredDescription
api-keystringRequiredYour API key

Response

status
string
Request status.
data
array

Example Request

curl -X GET "https://api.payvessel.com/pms/wallets/WLT_123456/statement?from=2024-02-01&to=2024-02-29" \
  -H "api-key: YOUR_API_KEY" \
  -H "api-secret: YOUR_SECRET"

Headers

api-key
string
required

Your Payvessel public API key

Path Parameters

wallet_id
string
required

Unique ID of the wallet

Query Parameters

from
string<date>

Start date in ISO 8601 format

to
string<date>

End date in ISO 8601 format

Response

200 - application/json

Wallet statement retrieved successfully

status
string

Request status

data
object[]